import java.awt.*;

/**
 * MyCanvas: a Canvas in which a red ball and some blue lines are drawn.
 * 
 * @author Stephen Bloch 
 * @version Dec. 1 2000, version 16
 */
public class MyCanvas extends Canvas
{
	// instance variables - replace the example below with your own
	int ballX, ballY;
	int ballDX = 10;
	int ballDY = 5;

	/**
	 * Constructor for objects of class MyCanvas
	 */
	public MyCanvas(int ballX, int ballY, int ballDX, int ballDY)
	{
		// initialise instance variables
		this.ballX = ballX;
		this.ballY = ballY;
		this.ballDX = ballDX;
		this.ballDY = ballDY;
	}

	/**
	 * the paint() method, just like the paint() method in an Applet.
	 *
	 * @param  g   the Graphics object for this applet
	 */
	public void paint(Graphics g)
	{
		//this.secondLabel.setText ("paint() call #" + counter++);
		g.setColor(Color.white);
		g.fillRect(0, 0, 3000, 3000);
		g.setColor(Color.red);
		g.fillOval (ballX,ballY,80,50);
		ballX += ballDX;
		ballY += ballDY;

		g.setColor (Color.blue);
		g.drawLine (0,0,400,120);
		// Note that this line starts at the upper-left corner of the Canvas,
		// NOT the upper-left corner of the window.
		g.drawLine (300,0,500,400);
		g.drawLine (550,400,0,300);
	}

}
